QGIS Application - Feature request #4524
Document that GPX files are always supposed to be in WGS84
2011-11-13 03:20 AM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee: Otto Dassau

Category: Documentation and Help

Pull Request or Patch supplied: Resolution: fixed
Easy fix?: No Copied to github as #: 14442
Description

This is a follow up of #4376

Long story short:

- users can add GPX like any other vector

- if "Options -> CRS -> coordinate reference system for new layers" is set to "prompt for CRS" QGIS will ask for a proper CRS every

time that a layer without an explicit CRS is loaded

- this doesn't happens for GPX files

- the GPX files can have coordinates in systems other than WGS84 (GPS units allow to set other CRSs), but the specifications says

they should be always in WGS84, this is why QGIS skips asking the CRS

- this make sense, but if not documented is/would be very confusing for users

History

#1 - 2011-12-16 02:10 PM - Giovanni Manghi
- Target version set to Version 1.7.4

#2 - 2012-04-15 10:09 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0
#3 - 2012-08-12 03:33 PM - Giovanni Manghi

- Pull Request or Patch supplied changed from No to Yes

- File plugins_gps_patch.diff added

#4 - 2012-08-20 05:12 AM - Giovanni Manghi

- Resolution set to fixed
- Status changed from Open to Closed

added in

https://github.com/qgis/QGIS-Documentation/commit/68536a9¢25101109ecd95eba098d9a82b4f8896e

Files
plugins_gps_patch.diff 706 Bytes 2012-08-12 Giovanni Manghi
